"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createWalkEntry = exports.createWalkEntrySync = void 0;
// Copyright 2018-2024 the Deno authors. All rights reserved. MIT license.
// Copyright the Browserify authors. MIT License.
const dntShim = __importStar(require("../../../../../_dnt.shims.js"));
const basename_js_1 = require("../../path/0.225.1/basename.js");
const normalize_js_1 = require("../../path/0.225.1/normalize.js");
const _to_path_string_js_1 = require("./_to_path_string.js");
/** Create {@linkcode WalkEntry} for the `path` synchronously. */
function createWalkEntrySync(path) {
    path = (0, _to_path_string_js_1.toPathString)(path);
    path = (0, normalize_js_1.normalize)(path);
    const name = (0, basename_js_1.basename)(path);
    const info = dntShim.Deno.statSync(path);
    return {
        path,
        name,
        isFile: info.isFile,
        isDirectory: info.isDirectory,
        isSymlink: info.isSymlink,
    };
}
exports.createWalkEntrySync = createWalkEntrySync;
/** Create {@linkcode WalkEntry} for the `path` asynchronously. */
async function createWalkEntry(path) {
    path = (0, _to_path_string_js_1.toPathString)(path);
    path = (0, normalize_js_1.normalize)(path);
    const name = (0, basename_js_1.basename)(path);
    const info = await dntShim.Deno.stat(path);
    return {
        path,
        name,
        isFile: info.isFile,
        isDirectory: info.isDirectory,
        isSymlink: info.isSymlink,
    };
}
exports.createWalkEntry = createWalkEntry;
