"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFileInfoType = void 0;
/**
 * Get a human readable file type string.
 *
 * @param fileInfo A FileInfo describes a file and is returned by `stat`,
 *                 `lstat`
 */
function getFileInfoType(fileInfo) {
    return fileInfo.isFile
        ? "file"
        : fileInfo.isDirectory
            ? "dir"
            : fileInfo.isSymlink
                ? "symlink"
                : undefined;
}
exports.getFileInfoType = getFileInfoType;
