"use strict";
// Copyright 2018-2024 the Deno authors. All rights reserved. MIT license.
// Copyright the Browserify authors. MIT License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.isSamePath = void 0;
const resolve_js_1 = require("../../path/0.225.1/resolve.js");
const _to_path_string_js_1 = require("./_to_path_string.js");
/**
 * Test whether `src` and `dest` resolve to the same location
 * @param src src file path
 * @param dest dest file path
 */
function isSamePath(src, dest) {
    src = (0, _to_path_string_js_1.toPathString)(src);
    dest = (0, _to_path_string_js_1.toPathString)(dest);
    return (0, resolve_js_1.resolve)(src) === (0, resolve_js_1.resolve)(dest);
}
exports.isSamePath = isSamePath;
