"use strict";
// Copyright 2018-2024 the Deno authors. All rights reserved. MIT license.
// Copyright the Browserify authors. MIT License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.isSubdir = void 0;
const constants_js_1 = require("../../path/0.225.1/constants.js");
const _to_path_string_js_1 = require("./_to_path_string.js");
/**
 * Test whether or not `dest` is a sub-directory of `src`
 * @param src src file path
 * @param dest dest file path
 * @param sep path separator
 */
function isSubdir(src, dest, sep = constants_js_1.SEPARATOR) {
    if (src === dest) {
        return false;
    }
    src = (0, _to_path_string_js_1.toPathString)(src);
    const srcArray = src.split(sep);
    dest = (0, _to_path_string_js_1.toPathString)(dest);
    const destArray = dest.split(sep);
    return srcArray.every((current, i) => destArray[i] === current);
}
exports.isSubdir = isSubdir;
