"use strict";
// Copyright 2018-2024 the Deno authors. All rights reserved. MIT license.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Helpers for working with the filesystem.
 *
 * ```ts
 * import { ensureFile, copy, ensureDir, move } from "@std/fs";
 *
 * await ensureFile("example.txt");
 * await copy("example.txt", "example_copy.txt");
 * await ensureDir("subdir");
 * await move("example_copy.txt", "subdir/example_copy.txt");
 * ```
 *
 * @module
 */
__exportStar(require("./empty_dir.js"), exports);
__exportStar(require("./ensure_dir.js"), exports);
__exportStar(require("./ensure_file.js"), exports);
__exportStar(require("./ensure_link.js"), exports);
__exportStar(require("./ensure_symlink.js"), exports);
__exportStar(require("./exists.js"), exports);
__exportStar(require("./expand_glob.js"), exports);
__exportStar(require("./move.js"), exports);
__exportStar(require("./copy.js"), exports);
__exportStar(require("./walk.js"), exports);
__exportStar(require("./eol.js"), exports);
