/**
 * Return the extension of the `path` with leading period.
 *
 * @example
 * ```ts
 * import { extname } from "@std/path/extname";
 *
 * console.log(extname("/home/user/Documents/")); // ""
 * console.log(extname("/home/user/Documents/image.png")); // ".png"
 * ```
 *
 * @param path with extension
 * @returns extension (ex. for `file.ts` returns `.ts`)
 */
export declare function extname(path: string): string;
//# sourceMappingURL=extname.d.ts.map